﻿using HeuristicLab.Algorithms.GrammaticalOptimization;

namespace HeuristicLab.Algorithms.GeneticProgramming {
  public interface IGPSolver : ISolver {
    int PopulationSize { get; set; }
    double MutationRate { get; set; }
    int MaxSolutionSize { get; set; }
    int MaxSolutionDepth { get; set; }
  }
}
